'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var React = _interopRequireWildcard(_react);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var mainStyle = {
    position: 'fixed',
    top: 0,
    bottom: 0,
    left: 0,
    right: 0,
    padding: 20,
    backgroundColor: 'rgb(187, 49, 49)',
    color: '#FFF',
    WebkitFontSmoothing: 'antialiased'
};


var headingStyle = {
    fontSize: 20,
    fontWeight: 600,
    letterSpacing: 0.2,
    margin: '10px 0',
    fontFamily: '-apple-system, ".SFNSText-Regular", "San Francisco", Roboto, "Segoe UI", "Helvetica Neue", "Lucida Grande", sans-serif'
};

var codeStyle = {
    fontSize: 14,
    width: '100vw',
    overflow: 'auto'
};

var ErrorDisplay = function ErrorDisplay(_ref) {
    var error = _ref.error;
    return React.createElement(
        'div',
        { style: mainStyle },
        React.createElement(
            'div',
            { style: headingStyle },
            error.message
        ),
        React.createElement(
            'pre',
            { style: codeStyle },
            React.createElement(
                'code',
                null,
                error.stack
            )
        )
    );
};

exports.default = ErrorDisplay;
//# sourceMappingURL=ErrorDisplay.js.map